import 'package:get/get.dart';
import 'package:terepi_seged/pages/home/presentation/controllers/home_controller.dart';
import 'package:terepi_seged/pages/map/presentation/controllers/map_controller.dart';
import 'package:terepi_seged/pages/map_survey/presentations/controllers/map_survey_controller.dart';

import '../presentations/controllers/shell_controller.dart';

class ShellBinding extends Bindings {
  @override
  void dependencies() {
    // TODO: implement dependencies
    Get.put(ShellController());
    Get.put(HomeViewController());
    // Get.put(MapViewController());
    // Get.put(MapSurveyController());
    Get.lazyPut<MapSurveyController>(
      () => MapSurveyController(),
      fenix: true,
    );
  }
}
